Page MenuHomePhabricator

efl/gesture: do not emit events for canceled gestures with no state
ClosedPublic

Authored by zmike on Jan 6 2020, 11:29 AM.

Details

Summary

for non-continuing gestures which have been canceled at this point, we must
not emit events in order to avoid sending useless events which serve no
purpose other than to waste cpu cycles

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 6 2020, 11:29 AM
zmike requested review of this revision.Jan 6 2020, 11:29 AM
bu5hm4n requested changes to this revision.Jan 7 2020, 3:56 AM

Mhm, not too sure about that. Independend from continues or not, we should tell the user that this gesture is updated,( thinking about using this in scroller, when momentum is canceled, and its "moved" to be a flick, we should tell that to the user...), i am not even sure if its a good idea to have this continue when they are continues ...

This revision now requires changes to proceed.Jan 7 2020, 3:56 AM
zmike requested review of this revision.Jan 7 2020, 7:09 AM

No, this is a case where the gesture has no state. It means the gesture was canceled before anything happened, which would result in an update event without any other prior event and with a gesture that has a NONE state, which can never be used for any purpose.

zmike added a subscriber: CHAN.Jan 7 2020, 7:23 AM

I'd like to get a reply from @CHAN on this

zmike updated this revision to Diff 28125.Jan 13 2020, 12:11 PM
zmike edited the summary of this revision. (Show Details)

rebase

I'm not sure who is able to review gesture code at HQ, but if there is anyone then we can give a week or so for them to have time to check these patches out. Otherwise we will just review and process upstream normally.

CHAN accepted this revision.EditedJan 16 2020, 8:50 PM

Looks good to me.

Jaehyun_Cho accepted this revision.Jan 16 2020, 10:19 PM
zmike updated this revision to Diff 28330.Jan 21 2020, 11:55 AM

rebase/update

zmike updated this revision to Diff 28376.Jan 22 2020, 6:35 AM

remove off-canvas blocking

zmike updated this revision to Diff 28427.Jan 23 2020, 12:23 PM

rework/rebase

bu5hm4n resigned from this revision.Jan 27 2020, 2:33 AM

I think others are better to comment here compared to me.

This revision is now accepted and ready to land.Jan 27 2020, 2:33 AM
zmike updated this revision to Diff 28648.Jan 29 2020, 11:19 AM

rebase/rework

Closed by commit rEFL17c6743180a2: efl/gesture: do not emit events for canceled gestures with no state (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJan 30 2020, 8:10 AM
This revision was automatically updated to reflect the committed changes.